

<div class="limiter">
  <div class="container-login100">
    <div class="wrap-login100">
      <form class="login100-form validate-form" [formGroup]="loginForm" (ngSubmit)="doLogin()">
        <span class="login100-form-title p-b-43">
          Login to continue
        </span>


        <div class="wrap-input100 validate-input" data-validate="Valid email is required: ex@abc.xyz">
          <input class="input100" type="text" name="username" placeholder="Mobile number" formControlName="username">
          <span class="focus-input100"></span>
          <mat-error *ngIf="loginForm.controls['username'].hasError('required') && loginForm.controls['username'].touched">
            Mobile number is
            <strong>required</strong>
          </mat-error>
        </div>


        <div class="wrap-input100 validate-input" style="margin-top: 25px;" data-validate="Password is required">
          <input class="input100" type="password" name="pass" placeholder="Password" formControlName="password">
          <span class="focus-input100"></span>
          <mat-error *ngIf="loginForm.controls['password'].hasError('required') && loginForm.controls['password'].touched">
            Password is
            <strong>required</strong>
          </mat-error>
        </div>


        <div class="container-login100-form-btn" style="margin-top: 25px">
          <button class="login100-form-btn">
            Login
          </button>
        </div>
        <div class="{{alertClass}}">{{errorMsg}}</div>
      </form>
      <div class="login100-more" style="background-image: url('./assets/img/developer-dribbble.gif'); ">
      </div>
    </div>
  </div>
</div> 

